For the complete documentation index, see llms.txt.

Manifests
POST/api/manifests/shipments

Manifest Orders

Retrieve a list of shipment ids based on the tracking numbers or order numbers that have been supplied. These ids can be passed as a parameter to the manifest orders endpoint.

View as MarkdownCopy for LLM

Manifests

Create manifests and retrieve manifest data for carrier handover.

4 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/manifests/shipments

Details

Retrieve a list of shipment ids based on the tracking numbers or order numbers that have been supplied. These ids can be passed as a parameter to the manifest orders endpoint.

Request Parameters

Parameter Type Description
tracking_numbers object list List of tracking numbers or order numbers for shipments to be included in the manifest.
use_order_numbers boolean Indicates the tracking_numbers parameter contains tracking numbers or order numbers

Manifest Shipments Response

Attribute Type Description
pdf string The pdf of the manifest file created
file_name string Description of the pdf file returned
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
    "tracking_numbers":[
       "ABCD1234567890XYZ",
       "ON12345"
    ],
    "use_order_numbers": true
}

Response examples

Manifest Orders (200)
{
    "pdf": "manifestreport",
    "file_name": "manifest.pdf",
    "success": true
}

Related endpoints